Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.schema.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.schema.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.standards.kmehr.schema.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.standards.kmehr.schema.v1

Method Summary
`AcknowledgmentType` | `createAcknowledgmentType()` Create an instance of `AcknowledgmentType`
`AddressType` | `createAddressType()` Create an instance of `AddressType`
`AddressTypeBase` | `createAddressTypeBase()` Create an instance of `AddressTypeBase`
`AdministrationquantityType` | `createAdministrationquantityType()` Create an instance of `AdministrationquantityType`
`AdministrationunitType` | `createAdministrationunitType()` Create an instance of `AdministrationunitType`
`AuthorType` | `createAuthorType()` Create an instance of `AuthorType`
`Base64EncryptedDataType` | `createBase64EncryptedDataType()` Create an instance of `Base64EncryptedDataType`
`Base64EncryptedValueType` | `createBase64EncryptedValueType()` Create an instance of `Base64EncryptedValueType`
`CertaintyType` | `createCertaintyType()` Create an instance of `CertaintyType`
`Civilstate` | `createCivilstate()` Create an instance of `Civilstate`
`CompoundprescriptionType` | `createCompoundprescriptionType()` Create an instance of `CompoundprescriptionType`
`JAXBElement<CompoundType>` | `createCompoundprescriptionTypeCompound(CompoundType value)` Create an instance of `JAXBElement``<``CompoundType``>`}
`JAXBElement<FormularyreferenceType>` | `createCompoundprescriptionTypeFormularyreference(FormularyreferenceType value)` Create an instance of `JAXBElement``<``FormularyreferenceType``>`}
`JAXBElement<GalenicformType>` | `createCompoundprescriptionTypeGalenicform(GalenicformType value)` Create an instance of `JAXBElement``<``GalenicformType``>`}
`JAXBElement<TextType>` | `createCompoundprescriptionTypeMagistraltext(TextType value)` Create an instance of `JAXBElement``<``TextType``>`}
`JAXBElement<QuantityType>` | `createCompoundprescriptionTypeQuantity(QuantityType value)` Create an instance of `JAXBElement``<``QuantityType``>`}
`CompoundType` | `createCompoundType()` Create an instance of `CompoundType`
`ConfidentialityType` | `createConfidentialityType()` Create an instance of `ConfidentialityType`
`ContentlocalitemattributeType` | `createContentlocalitemattributeType()` Create an instance of `ContentlocalitemattributeType`
`ContentType` | `createContentType()` Create an instance of `ContentType`
`CostType` | `createCostType()` Create an instance of `CostType`
`CountryType` | `createCountryType()` Create an instance of `CountryType`
`DateType` | `createDateType()` Create an instance of `DateType`
`DayperiodType` | `createDayperiodType()` Create an instance of `DayperiodType`
`Daytime` | `createDaytime()` Create an instance of `Daytime`
`Denominator` | `createDenominator()` Create an instance of `Denominator`
`DurationType` | `createDurationType()` Create an instance of `DurationType`
`ErrorMyCarenetType` | `createErrorMyCarenetType()` Create an instance of `ErrorMyCarenetType`
`ErrorType` | `createErrorType()` Create an instance of `ErrorType`
`Externalsource` | `createExternalsource()` Create an instance of `Externalsource`
`FCMAXType` | `createFCMAXType()` Create an instance of `FCMAXType`
`FCMINType` | `createFCMINType()` Create an instance of `FCMINType`
`Feedback` | `createFeedback()` Create an instance of `Feedback`
`FolderType` | `createFolderType()` Create an instance of `FolderType`
`FormularyreferenceType` | `createFormularyreferenceType()` Create an instance of `FormularyreferenceType`
`FrequencyType` | `createFrequencyType()` Create an instance of `FrequencyType`
`GalenicformType` | `createGalenicformType()` Create an instance of `GalenicformType`
`HcpartyType` | `createHcpartyType()` Create an instance of `HcpartyType`
`HeaderType` | `createHeaderType()` Create an instance of `HeaderType`
`HeadingType` | `createHeadingType()` Create an instance of `HeadingType`
`HolterType` | `createHolterType()` Create an instance of `HolterType`
`IncapacityreasonType` | `createIncapacityreasonType()` Create an instance of `IncapacityreasonType`
`IncapacityType` | `createIncapacityType()` Create an instance of `IncapacityType`
`InsuranceType` | `createInsuranceType()` Create an instance of `InsuranceType`
`ItemType` | `createItemType()` Create an instance of `ItemType`
`Kmehrmessage` | `createKmehrmessage()` Create an instance of `Kmehrmessage`
`JAXBElement<Signature>` | `createKmehrmessageSignature(Signature value)` Create an instance of `JAXBElement``<``Signature``>`}
`LifecycleType` | `createLifecycleType()` Create an instance of `LifecycleType`
`LocalitemattributeType` | `createLocalitemattributeType()` Create an instance of `LocalitemattributeType`
`LocationBirthPlaceType` | `createLocationBirthPlaceType()` Create an instance of `LocationBirthPlaceType`
`MaxrefType` | `createMaxrefType()` Create an instance of `MaxrefType`
`MedicationType` | `createMedicationType()` Create an instance of `MedicationType`
`MedicinalProductType` | `createMedicinalProductType()` Create an instance of `MedicinalProductType`
`MemberinsuranceType` | `createMemberinsuranceType()` Create an instance of `MemberinsuranceType`
`MinrefType` | `createMinrefType()` Create an instance of `MinrefType`
`MomentType` | `createMomentType()` Create an instance of `MomentType`
`Nationality` | `createNationality()` Create an instance of `Nationality`
`Nominator` | `createNominator()` Create an instance of `Nominator`
`PackageType` | `createPackageType()` Create an instance of `PackageType`
`PeriodicityType` | `createPeriodicityType()` Create an instance of `PeriodicityType`
`Personalpart` | `createPersonalpart()` Create an instance of `Personalpart`
`PersonType` | `createPersonType()` Create an instance of `PersonType`
`PersonTypeLight` | `createPersonTypeLight()` Create an instance of `PersonTypeLight`
`Posology` | `createPosology()` Create an instance of `Posology`
`PresentationType` | `createPresentationType()` Create an instance of `PresentationType`
`ProfessionType` | `createProfessionType()` Create an instance of `ProfessionType`
`Quantityprefix` | `createQuantityprefix()` Create an instance of `Quantityprefix`
`QuantityType` | `createQuantityType()` Create an instance of `QuantityType`
`RecipientType` | `createRecipientType()` Create an instance of `RecipientType`
`RefscopeType` | `createRefscopeType()` Create an instance of `RefscopeType`
`Refvalue` | `createRefvalue()` Create an instance of `Refvalue`
`Regimen` | `createRegimen()` Create an instance of `Regimen`
`JAXBElement<org.joda.time.DateTime>` | `createRegimenDate(org.joda.time.DateTime value)` Create an instance of `JAXBElement``<``DateTime``>`}
`JAXBElement<BigInteger>` | `createRegimenDaynumber(BigInteger value)` Create an instance of `JAXBElement``<``BigInteger``>`}
`JAXBElement<Daytime>` | `createRegimenDaytime(Daytime value)` Create an instance of `JAXBElement``<``Daytime``>`}
`JAXBElement<AdministrationquantityType>` | `createRegimenQuantity(AdministrationquantityType value)` Create an instance of `JAXBElement``<``AdministrationquantityType``>`}
`JAXBElement<Weekday>` | `createRegimenWeekday(Weekday value)` Create an instance of `JAXBElement``<``Weekday``>`}
`RenewalType` | `createRenewalType()` Create an instance of `RenewalType`
`RouteType` | `createRouteType()` Create an instance of `RouteType`
`RRMAXType` | `createRRMAXType()` Create an instance of `RRMAXType`
`RRMINType` | `createRRMINType()` Create an instance of `RRMINType`
`SenderType` | `createSenderType()` Create an instance of `SenderType`
`SeverityType` | `createSeverityType()` Create an instance of `SeverityType`
`SexType` | `createSexType()` Create an instance of `SexType`
`SiteType` | `createSiteType()` Create an instance of `SiteType`
`Source` | `createSource()` Create an instance of `Source`
`Specialisation` | `createSpecialisation()` Create an instance of `Specialisation`
`StandardType` | `createStandardType()` Create an instance of `StandardType`
`StrengthType` | `createStrengthType()` Create an instance of `StrengthType`
`Substanceproduct` | `createSubstanceproduct()` Create an instance of `Substanceproduct`
`SubstanceType` | `createSubstanceType()` Create an instance of `SubstanceType`
`Takes` | `createTakes()` Create an instance of `Takes`
`TelecomType` | `createTelecomType()` Create an instance of `TelecomType`
`TemporalityType` | `createTemporalityType()` Create an instance of `TemporalityType`
`TextWithLayoutType` | `createTextWithLayoutType()` Create an instance of `TextWithLayoutType`
`Thirdpayercontract` | `createThirdpayercontract()` Create an instance of `Thirdpayercontract`
`TimequantityType` | `createTimequantityType()` Create an instance of `TimequantityType`
`TimeunitType` | `createTimeunitType()` Create an instance of `TimeunitType`
`TransactionType` | `createTransactionType()` Create an instance of `TransactionType`
`UnitType` | `createUnitType()` Create an instance of `UnitType`
`UrgencyType` | `createUrgencyType()` Create an instance of `UrgencyType`
`Weekday` | `createWeekday()` Create an instance of `Weekday`
`WeekdayType` | `createWeekdayType()` Create an instance of `WeekdayType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.standards.kmehr.schema.v1

Method Detail

### createKmehrmessage

    public Kmehrmessage createKmehrmessage()

  Create an instance of `Kmehrmessage`

### createConfidentialityType

    public ConfidentialityType createConfidentialityType()

  Create an instance of `ConfidentialityType`

### createHeaderType

    public HeaderType createHeaderType()

  Create an instance of `HeaderType`

### createBase64EncryptedDataType

    public Base64EncryptedDataType createBase64EncryptedDataType()

  Create an instance of `Base64EncryptedDataType`

### createFolderType

    public FolderType createFolderType()

  Create an instance of `FolderType`

### createPersonType

    public PersonType createPersonType()

  Create an instance of `PersonType`

### createDateType

    public DateType createDateType()

  Create an instance of `DateType`

### createAddressTypeBase

    public AddressTypeBase createAddressTypeBase()

  Create an instance of `AddressTypeBase`

### createSexType

    public SexType createSexType()

  Create an instance of `SexType`

### createNationality

    public Nationality createNationality()

  Create an instance of `Nationality`

### createAddressType

    public AddressType createAddressType()

  Create an instance of `AddressType`

### createTelecomType

    public TelecomType createTelecomType()

  Create an instance of `TelecomType`

### createProfessionType

    public ProfessionType createProfessionType()

  Create an instance of `ProfessionType`

### createInsuranceType

    public InsuranceType createInsuranceType()

  Create an instance of `InsuranceType`

### createMemberinsuranceType

    public MemberinsuranceType createMemberinsuranceType()

  Create an instance of `MemberinsuranceType`

### createCivilstate

    public Civilstate createCivilstate()

  Create an instance of `Civilstate`

### createTransactionType

    public TransactionType createTransactionType()

  Create an instance of `TransactionType`

### createAcknowledgmentType

    public AcknowledgmentType createAcknowledgmentType()

  Create an instance of `AcknowledgmentType`

### createAdministrationquantityType

    public AdministrationquantityType createAdministrationquantityType()

  Create an instance of `AdministrationquantityType`

### createAdministrationunitType

    public AdministrationunitType createAdministrationunitType()

  Create an instance of `AdministrationunitType`

### createAuthorType

    public AuthorType createAuthorType()

  Create an instance of `AuthorType`

### createBase64EncryptedValueType

    public Base64EncryptedValueType createBase64EncryptedValueType()

  Create an instance of `Base64EncryptedValueType`

### createCertaintyType

    public CertaintyType createCertaintyType()

  Create an instance of `CertaintyType`

### createCompoundType

    public CompoundType createCompoundType()

  Create an instance of `CompoundType`

### createCompoundprescriptionType

    public CompoundprescriptionType createCompoundprescriptionType()

  Create an instance of `CompoundprescriptionType`

### createContentlocalitemattributeType

    public ContentlocalitemattributeType createContentlocalitemattributeType()

  Create an instance of `ContentlocalitemattributeType`

### createContentType

    public ContentType createContentType()

  Create an instance of `ContentType`

### createCostType

    public CostType createCostType()

  Create an instance of `CostType`

### createCountryType

    public CountryType createCountryType()

  Create an instance of `CountryType`

### createDayperiodType

    public DayperiodType createDayperiodType()

  Create an instance of `DayperiodType`

### createDurationType

    public DurationType createDurationType()

  Create an instance of `DurationType`

### createErrorType

    public ErrorType createErrorType()

  Create an instance of `ErrorType`

### createErrorMyCarenetType

    public ErrorMyCarenetType createErrorMyCarenetType()

  Create an instance of `ErrorMyCarenetType`

### createFormularyreferenceType

    public FormularyreferenceType createFormularyreferenceType()

  Create an instance of `FormularyreferenceType`

### createGalenicformType

    public GalenicformType createGalenicformType()

  Create an instance of `GalenicformType`

### createFCMAXType

    public FCMAXType createFCMAXType()

  Create an instance of `FCMAXType`

### createFCMINType

    public FCMINType createFCMINType()

  Create an instance of `FCMINType`

### createFrequencyType

    public FrequencyType createFrequencyType()

  Create an instance of `FrequencyType`

### createHcpartyType

    public HcpartyType createHcpartyType()

  Create an instance of `HcpartyType`

### createHeadingType

    public HeadingType createHeadingType()

  Create an instance of `HeadingType`

### createHolterType

    public HolterType createHolterType()

  Create an instance of `HolterType`

### createIncapacityreasonType

    public IncapacityreasonType createIncapacityreasonType()

  Create an instance of `IncapacityreasonType`

### createIncapacityType

    public IncapacityType createIncapacityType()

  Create an instance of `IncapacityType`

### createItemType

    public ItemType createItemType()

  Create an instance of `ItemType`

### createLifecycleType

    public LifecycleType createLifecycleType()

  Create an instance of `LifecycleType`

### createLocalitemattributeType

    public LocalitemattributeType createLocalitemattributeType()

  Create an instance of `LocalitemattributeType`

### createLocationBirthPlaceType

    public LocationBirthPlaceType createLocationBirthPlaceType()

  Create an instance of `LocationBirthPlaceType`

### createMaxrefType

    public MaxrefType createMaxrefType()

  Create an instance of `MaxrefType`

### createMedicationType

    public MedicationType createMedicationType()

  Create an instance of `MedicationType`

### createMinrefType

    public MinrefType createMinrefType()

  Create an instance of `MinrefType`

### createMomentType

    public MomentType createMomentType()

  Create an instance of `MomentType`

### createPackageType

    public PackageType createPackageType()

  Create an instance of `PackageType`

### createPeriodicityType

    public PeriodicityType createPeriodicityType()

  Create an instance of `PeriodicityType`

### createPersonTypeLight

    public PersonTypeLight createPersonTypeLight()

  Create an instance of `PersonTypeLight`

### createPresentationType

    public PresentationType createPresentationType()

  Create an instance of `PresentationType`

### createQuantityType

    public QuantityType createQuantityType()

  Create an instance of `QuantityType`

### createRecipientType

    public RecipientType createRecipientType()

  Create an instance of `RecipientType`

### createRefscopeType

    public RefscopeType createRefscopeType()

  Create an instance of `RefscopeType`

### createRenewalType

    public RenewalType createRenewalType()

  Create an instance of `RenewalType`

### createRouteType

    public RouteType createRouteType()

  Create an instance of `RouteType`

### createRRMAXType

    public RRMAXType createRRMAXType()

  Create an instance of `RRMAXType`

### createRRMINType

    public RRMINType createRRMINType()

  Create an instance of `RRMINType`

### createSenderType

    public SenderType createSenderType()

  Create an instance of `SenderType`

### createSeverityType

    public SeverityType createSeverityType()

  Create an instance of `SeverityType`

### createSiteType

    public SiteType createSiteType()

  Create an instance of `SiteType`

### createStandardType

    public StandardType createStandardType()

  Create an instance of `StandardType`

### createStrengthType

    public StrengthType createStrengthType()

  Create an instance of `StrengthType`

### createSubstanceType

    public SubstanceType createSubstanceType()

  Create an instance of `SubstanceType`

### createTemporalityType

    public TemporalityType createTemporalityType()

  Create an instance of `TemporalityType`

### createTextWithLayoutType

    public TextWithLayoutType createTextWithLayoutType()

  Create an instance of `TextWithLayoutType`

### createTimequantityType

    public TimequantityType createTimequantityType()

  Create an instance of `TimequantityType`

### createTimeunitType

    public TimeunitType createTimeunitType()

  Create an instance of `TimeunitType`

### createUnitType

    public UnitType createUnitType()

  Create an instance of `UnitType`

### createUrgencyType

    public UrgencyType createUrgencyType()

  Create an instance of `UrgencyType`

### createWeekdayType

    public WeekdayType createWeekdayType()

  Create an instance of `WeekdayType`

### createMedicinalProductType

    public MedicinalProductType createMedicinalProductType()

  Create an instance of `MedicinalProductType`

### createSpecialisation

    public Specialisation createSpecialisation()

  Create an instance of `Specialisation`

### createRefvalue

    public Refvalue createRefvalue()

  Create an instance of `Refvalue`

### createPosology

    public Posology createPosology()

  Create an instance of `Posology`

### createRegimen

    public Regimen createRegimen()

  Create an instance of `Regimen`

### createFeedback

    public Feedback createFeedback()

  Create an instance of `Feedback`

### createWeekday

    public Weekday createWeekday()

  Create an instance of `Weekday`

### createDaytime

    public Daytime createDaytime()

  Create an instance of `Daytime`

### createTakes

    public Takes createTakes()

  Create an instance of `Takes`

### createNominator

    public Nominator createNominator()

  Create an instance of `Nominator`

### createDenominator

    public Denominator createDenominator()

  Create an instance of `Denominator`

### createSubstanceproduct

    public Substanceproduct createSubstanceproduct()

  Create an instance of `Substanceproduct`

### createQuantityprefix

    public Quantityprefix createQuantityprefix()

  Create an instance of `Quantityprefix`

### createPersonalpart

    public Personalpart createPersonalpart()

  Create an instance of `Personalpart`

### createThirdpayercontract

    public Thirdpayercontract createThirdpayercontract()

  Create an instance of `Thirdpayercontract`

### createExternalsource

    public Externalsource createExternalsource()

  Create an instance of `Externalsource`

### createSource

    public Source createSource()

  Create an instance of `Source`

### createKmehrmessageSignature

    public JAXBElement<Signature> createKmehrmessageSignature(Signature value)

  Create an instance of `JAXBElement``<``Signature``>`}

### createRegimenDaynumber

    public JAXBElement<BigInteger> createRegimenDaynumber(BigInteger value)

  Create an instance of `JAXBElement``<``BigInteger``>`}

### createRegimenQuantity

    public JAXBElement<AdministrationquantityType> createRegimenQuantity(AdministrationquantityType value)

  Create an instance of `JAXBElement``<``AdministrationquantityType``>`}

### createRegimenDate

    public JAXBElement<org.joda.time.DateTime> createRegimenDate(org.joda.time.DateTime value)

  Create an instance of `JAXBElement``<``DateTime``>`}

### createRegimenWeekday

    public JAXBElement<Weekday> createRegimenWeekday(Weekday value)

  Create an instance of `JAXBElement``<``Weekday``>`}

### createRegimenDaytime

    public JAXBElement<Daytime> createRegimenDaytime(Daytime value)

  Create an instance of `JAXBElement``<``Daytime``>`}

### createCompoundprescriptionTypeCompound

    public JAXBElement<CompoundType> createCompoundprescriptionTypeCompound(CompoundType value)

  Create an instance of `JAXBElement``<``CompoundType``>`}

### createCompoundprescriptionTypeFormularyreference

    public JAXBElement<FormularyreferenceType> createCompoundprescriptionTypeFormularyreference(FormularyreferenceType value)

  Create an instance of `JAXBElement``<``FormularyreferenceType``>`}

### createCompoundprescriptionTypeMagistraltext

    public JAXBElement<TextType> createCompoundprescriptionTypeMagistraltext(TextType value)

  Create an instance of `JAXBElement``<``TextType``>`}

### createCompoundprescriptionTypeGalenicform

    public JAXBElement<GalenicformType> createCompoundprescriptionTypeGalenicform(GalenicformType value)

  Create an instance of `JAXBElement``<``GalenicformType``>`}

### createCompoundprescriptionTypeQuantity

    public JAXBElement<QuantityType> createCompoundprescriptionTypeQuantity(QuantityType value)

  Create an instance of `JAXBElement``<``QuantityType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.